#include <stdio.h>
#include "triangulo.h"

/* Função principal. */
main() {
	int n, i;
	float a, b, c;

	// Lê o número de triângulos a testar.
	printf("Informe o número de triângulos a testar: ");
	scanf("%d", &n);
	
	// Processa N triângulos.
	for (i = 1; i <= n; i++) {
		// Lê os valores dos lados.
		printf("Informe os lados do %do triângulo: ", i);
		scanf("%f %f %f", &a, &b, &c);
		
		// Verifica se é um triângulo.
		if (ehTriangulo(a, b, c)) {
			// É um triângulo. Verifica o tipo.
			switch (tipoTriangulo(a, b, c)) {
			case 1:
				printf("Equilátero\n");
				break;
			case 2:
				printf("Isósceles\n");
				break;
			case 3:
				printf("Escaleno\n");
				break;
			}
		}
		
		// Se não é triângulo, imprime.
		else printf("Não é um triângulo\n");
	}
}
