#include <stdlib.h>

#include "Pilha.h"

Pilha criarPilha(int tamanho) {
	Pilha pilha = (Pilha)malloc(sizeof(struct TPilha));

	pilha->elems = (float *)malloc(tamanho * sizeof(float));
	pilha->topo = 0;

	return pilha;
}

void empilhar(Pilha pilha, float elem) {
	pilha->elems[pilha->topo++] = elem;
}

float desempilhar(Pilha pilha) {
	if (pilha->topo > 0) return pilha->elems[--pilha->topo];
	else return 0;
}

void destruirPilha(Pilha pilha) {
	free(pilha->elems);
	free(pilha);
}
