#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "Historico.h"

#define TAMANHO_HISTORICO 10

int main(int argc, char **argv) {
	char linha[100];
	Livro livro;
	Historico historico;
	
	// Cria o histórico.
	historico = criarHistorico(TAMANHO_HISTORICO);
	
	printf("Digite títulos de livro e o histórico será impresso. Digite 'FIM' para sair.\n");

	// Continua executando até o usuário digitar FIM.
	gets(linha);
	while ((strcmp(linha, "FIM") != 0) && (strcmp(linha, "fim") != 0)) {
		// Cria um novo livro.
		livro = (Livro)malloc(sizeof(struct TLivro));
		strcpy(livro->titulo, linha);
		
		// Adiciona o livro ao histórico e imprime.
		adicionarAoHistorico(historico, livro);
		printf("\n");
		imprimirHistorico(historico);
		printf("\n");
		
		// Próximo livro.
		gets(linha);
	}
	
	// Destrói o histórico.
	destruirHistorico(historico);
}
